org.eclipse.emf.cdo.server

## Interface IRepositoryProvider

- All Known Implementing Classes:
    ContainerRepositoryProvider, PluginRepositoryProvider

      public interface IRepositoryProvider

  Provides the consumer with CDO `repositories` specified by their name.
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IRepository` | `getRepository(java.lang.String name)`

- - ### Method Detail

    - #### getRepository

          IRepository getRepository(java.lang.String name)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html